> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shippingpickup rates copy



## OpenAPI

````yaml post /{shopId}/delivery/rates
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/delivery/rates:
    post:
      tags:
        - Orders
        - Shipping
      summary: Get shipping/pickup rates Copy 4
      description: Get shipping/pickup rates Copy 4
      operationId: getShippingPickupRatesCopy4
      parameters:
        - name: type
          in: query
          schema:
            type: string
            example: delivery
        - name: country
          in: query
          schema:
            type: string
            example: 628c8d3c21ce8313e6293c8e
        - name: order
          in: query
          schema:
            type: string
            example: 637ab55ff21f30cfd715b0c9
        - name: limit
          in: query
          schema:
            type: string
            example: '1'
        - name: cart
          in: query
          schema:
            type: string
            example: 01H46KA4EEKZCAJ7GBQ312SBAT
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                address:
                  type: string
                  example: >-
                    80 Ishau Olorunfunmi street, 112104, Ado Odo/Ota, Ogun,
                    Nigeria
                contact:
                  type: object
                  properties:
                    email:
                      type: string
                      example: adeyinkabadmus@gmail.com
                    telephone:
                      type: string
                      example: '+23409034362570'
                    whatsApp:
                      nullable: true
                      example: null
                fullName:
                  type: string
                  example: Adeyinka Badmus
            example:
              address: 80 Ishau Olorunfunmi street, 112104, Ado Odo/Ota, Ogun, Nigeria
              contact:
                email: adeyinkabadmus@gmail.com
                telephone: '+23409034362570'
                whatsApp: null
              fullName: Adeyinka Badmus
      responses:
        '200':
          description: ''

````